Get user access for a project
curl --request GET \
--url {schemes}://api.upsun.com/projects/{project_id}/user-access/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{project_id}/user-access/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{project_id}/user-access/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"project_id": "<string>",
"project_title": "<string>",
"permissions": [
"admin"
],
"granted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_links": {
"self": {
"href": "<string>"
},
"update": {
"href": "<string>",
"method": "<string>"
},
"delete": {
"href": "<string>",
"method": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}User Access
Get user access for a project
Retrieves the user’s permissions for the current project.
GET
/
projects
/
{project_id}
/
user-access
/
{user_id}
Get user access for a project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project.
The ID of the user.
Example:
"d81c8ee2-44b3-429f-b944-a33ad7437690"
Response
OK
The ID of the user.
The ID of the organization.
The ID of the project.
The title of the project.
An array of project permissions.
Available options:
admin, viewer, development:admin, development:contributor, development:viewer, staging:admin, staging:contributor, staging:viewer, production:admin, production:contributor, production:viewer The date and time when the access was granted.
The date and time when the resource was last updated.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?